Date format is incorrect

2014-08-15 19:03 - Viktor Petersson

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.5.2

Description

I recently upgraded to 2.5.2 and ran into an issue when setting the end date for a Roadmap.

The error I got was:

Date is not a valid date.

 After more investigation, I noticed that the date picket inserts the date in the following format:

08/18/2014

It should however be saved as:

2014-08-18

My guess is that this is in the datepicker itself, and that it tries to autodetect depending on your locale etc, so it might not be showing

up to all users.

The current workaround is to manually enter the date format in the required format.

My system:

Chrome 36.0.1985.143 (Official Build 287914)

Language: US EN

OS X 10.9.4

Related issues:

Related to Redmine - Defect #20244: Upgrade from 2.6 to 3.0 (Stable) :: Is no... Needs feedback

History

#1 - 2014-09-12 20:09 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce.

Redmine uses 'yy-mm-dd' format.

source:tags/2.5.2/app/views/versions/_form.html.erb#L9

source:tags/2.5.2/app/helpers/application_helper.rb#L1159

I think plugin or browser causes problem.

#2 - 2015-02-17 10:00 - Laurent Bauer

I can also reproduce the same problem.

The datepicker does render the chosen date in the right format, the problem actually occurs when loading the form.

I guess the date is loaded from the database in the wrong format.

I set redmine database datestyle set to 'ISO,MDY', could there be a wrong setting on the client side ?

#3 - 2015-03-25 09:26 - Max Drechsler

- File redmine.png added

Have the same issue. Redmine version is 3.0.1
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.2/app/views/versions/_form.html.erb#L9
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.5.2/app/helpers/application_helper.rb#L1159


When saving the Issue, redmine complains about invalid date format.

Browser is Firefox 36. Language setting is German.

 200 

#4 - 2015-04-23 17:08 - Laurent Bauer

I set redmine database datestyle set to 'ISO,MDY', could there be a wrong setting on the client side ?

 The answer is "no, but..." it seems redmine needs to be restarted after fixing the database datestyle. In my setup (redmine 2.6.1) the dates form

inputs are still loaded with the previous datestyle until I restart redmine.

I believe it might help to mention that in the wiki http://www.redmine.org/projects/redmine/wiki/RedmineInstall#Supported-database-back-ends.

#5 - 2015-07-05 18:17 - Toshi MARUYAMA

- Related to Defect #20244: Upgrade from 2.6 to 3.0 (Stable) :: Is not a valid date by all Date fields added

#6 - 2015-07-16 16:20 - Vlad Vor

Redmine is unusable with this bug. Could somebody fix it quick in dev?
